Index: src/Shapes/Makefile.am
===================================================================
--- src/Shapes/Makefile.am	(revision 6d2207705fa65aba62ae39144897529bc80eb3a3)
+++ src/Shapes/Makefile.am	(revision 6d2207705fa65aba62ae39144897529bc80eb3a3)
@@ -0,0 +1,71 @@
+# PLEASE adhere to the alphabetical ordering in this Makefile!
+# Also indentation by a single tab
+
+INCLUDES = -I$(top_srcdir)/src
+
+# Position-Independent Code necessary for shared library
+AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
+AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+
+SHAPESOURCE = \
+  BaseShapes.cpp \
+  Shape.cpp \
+  ShapeOps.cpp
+SHAPEHEADER = \
+  BaseShapes.hpp \
+  Shape.hpp \
+  ShapeOps.hpp
+
+  
+
+lib_LTLIBRARIES = libMolecuilderShapes.la
+libMolecuilderShapes_includedir = $(includedir)/MoleCuilder/Shapes/
+libMolecuilderShapes_libs = \
+  ../LinearAlgebra/libMolecuilderExceptions.la \
+	../Exceptions/libMolecuilderExceptions.la \
+	$(GSL_LIBS)
+nobase_libMolecuilderShapes_include_HEADERS = ${SHAPEHEADER}
+
+## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
+## target.  Note that @MOLECUILDER_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libMolecuilderShapes_la_SOURCES = ${SHAPESOURCE}
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+libMolecuilderShapes_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+#libMolecuilderShapes_libincludedir = $(libdir)/MoleCuilder/include
+#nodist_libMolecuilderShapes_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+
+## Install the generated pkg-config file (.pc) into the expected location for
+## architecture-dependent package configuration information.  Occasionally,
+## pkg-config files are also used for architecture-independent data packages,
+## in which case the correct install location would be $(datadir)/pkgconfig.
+#pkgconfigdir = $(libdir)/pkgconfig
+#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
+
+unity.cpp:
+	echo "" >  unity.cpp; \
+	list='$(LINALGSOURCE)'; for file in $$list; do \
+	  echo "#include \"$(srcdir)/$$file\"" >> unity.cpp; \
+	done;
+	
+MOSTLYCLEANFILES = unity.cpp
Index: src/Shapes/unittests/Makefile.am
===================================================================
--- src/Shapes/unittests/Makefile.am	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/Shapes/unittests/Makefile.am	(revision 6d2207705fa65aba62ae39144897529bc80eb3a3)
@@ -16,6 +16,7 @@
 BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
 SHAPELIBS = \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra-@MOLECUILDER_API_VERSION@.la \
-	../../Exceptions/libMolecuilderExceptions-@MOLECUILDER_API_VERSION@.la \
+	../../Shapes/libMolecuilderShapes.la \
+	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	../../Exceptions/libMolecuilderExceptions.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
